<?php

class WindexController extends WadminController
{
	
	public function indexAction()
    { 
    	$potencial = Usuario::getPotencialLogueado();
    	$url = Potencial::getUrlPorDefectoDependeDePerfil($potencial->getPerfilActivo());
    	$this->_redirect($url);
    }
    
    public function modperfilAction(){
    	$potencial = Usuario::getPotencialLogueado();
    	$perfilACambiar = $this->getParametro('pf');
    	if ($potencial->setPerfilActivo($perfilACambiar)){
    		$url = $potencial->getUrlPorDefectoDependeDePerfil($perfilACambiar);
    		$this->_redirect($url);
    	} else {
    		die('Tu usuario no tiene acceso al perfil seleccionado');
    	}		
    }
    
}